from tortoise import fields


from .base import BaseModel, TimestampMixin

# 行业修正系数与ROE
class Industry(BaseModel, TimestampMixin):
    code = fields.CharField(max_length=20, unique=True, description="行业代码", index=True)
    name = fields.CharField(max_length=20, description="行业名称")
    roe = fields.FloatField(description="平均ROE",default=0)
    fix_num = fields.FloatField(description="行业修正系数", default=0)
    remark = fields.TextField(default="备注")
    class Meta:
        table = "industry"